Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
StrNode Struct Reference

`#include <regparse.h>`

## Data Fields
NodeBase | base
UChar * | s
UChar * | end
unsigned int | flag
int | capa
UChar | buf [NODE_STR_BUF_SIZE]

## Detailed Description

Definition at line 167 of file regparse.h.

## Field Documentation

NodeBase StrNode::base

Definition at line 168 of file regparse.h.

UChar StrNode::buf[NODE_STR_BUF_SIZE]

Definition at line 173 of file regparse.h.

Referenced by swap_node().

int StrNode::capa

Definition at line 172 of file regparse.h.

Referenced by swap_node().

UChar* StrNode::end

Definition at line 170 of file regparse.h.

Referenced by compile_length_string_node(), compile_length_string_raw_node(), compile_string_node(), compile_string_raw_node(), expand_case_fold_string(), get_char_length_tree1(), get_head_value_node(), get_max_match_length(), get_min_match_length(), is_not_included(), optimize_node_left(), setup_tree(), str_node_can_be_split(), str_node_split_last_char(), swap_node(), and update_string_node_case_fold().

unsigned int StrNode::flag

Definition at line 171 of file regparse.h.

Referenced by setup_tree(), and str_node_split_last_char().

UChar* StrNode::s

Definition at line 169 of file regparse.h.

Referenced by compile_length_string_node(), compile_length_string_raw_node(), compile_string_node(), compile_string_raw_node(), expand_case_fold_string(), get_char_length_tree1(), get_head_value_node(), get_max_match_length(), get_min_match_length(), is_not_included(), optimize_node_left(), setup_tree(), str_node_can_be_split(), str_node_split_last_char(), swap_node(), and update_string_node_case_fold().

The documentation for this struct was generated from the following file:

- regparse.h